---
title: RTCOutboundRtpStreamStats.trackId
slug: Web/API/RTCOutboundRtpStreamStats/trackId
tags:
  - API
  - Audio
  - Media
  - MediaStreamTrack
  - Property
  - RTCOutboundRtpStreamStats
  - RTCRtpSender
  - RTP
  - Reference
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - id
  - stream
  - track
  - trackId
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>trackId</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary indicates the {{domxref("RTCStats.id", "id")}} of the {{domxref("RTCSenderAudioTrackAttachmentStats")}} or {{domxref("RTCSenderVideoTrackAttachmentStats")}} object representing the {{domxref("MediaStreamTrack")}} which is being sent on this stream.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackStatsId</em> = <em>RTCOutboundRtpStreamStats</em>.trackId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the ID of the {{domxref("RTCSenderAudioTrackAttachmentStats")}} or {{domxref("RTCSenderVideoTrackAttachmentStats")}} object representing the track which is the source of the media being sent on this stream.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-trackId', 'RTCOutboundRtpStreamStats.trackId')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.trackId")}}</p>
